.root_ {
  display: flex;
  flex-direction: row;

  justify-content: center;
  width: 100%;
}

.App {
  position: relative;
  width: 100%;

  background-color: var(--body-bg);
}

.moonSVG {
  stroke: var(--moonSVG-color);
  stroke-width: 1.5;
  fill: none;
  stroke-linecap: round;
  stroke-linejoin: round;

  width: 20px;
}

.inboxSVG {
  fill: none;
  stroke: var(--moonSVG-color);
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;

  width: 20px;
}

.locationSVG {
  margin-right: 8px;
  width: 18px;

  fill: none;
  stroke: var(--svg-spcl);
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.jobSVG {
  margin-right: 8px;
  width: 18px;

  fill: none;
  stroke: var(--svg-spcl);
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.salarySVG {
  margin-right: 8px;
  width: 18px;

  stroke: var(--svg-spcl);
  fill: var(--svg-spcl);
  stroke-width: 0.4;
}

.salarySVG path {
  stroke: var(--active-bg-color);
}

.srcIconSVG {
  position: absolute;
  top: 50%;

  transform: translateY(-50%);

  width: 14px;

  fill: var(--active-bg-color);
  stroke: none;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.shareSVG {
  fill: none;
  stroke: currentColor;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;

  width: 32px;
  border: 1px solid var(--bottomTopBorder-color);
  color: var(--subtitle-color);
  border-radius: 8px;
  padding: 6px;
}

.locationSVG + p {
  color: var(--topBar-black-color) !important;
}

.topLrgImgCont + div + div {
  align-items: flex-start;
}

.heart {
  width: 26.4px;

  fill: none;
  stroke: currentColor;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;

  background: none;
  box-shadow: none;
  width: 24px;
  padding: 4px;
  color: var(--subtitle-color);
  border: 1px solid var(--bottomTopBorder-color);
  margin-left: auto;
  margin-bottom: auto;

  border-radius: 8px;
}

.hrt_ext {
  width: 32px;
  padding: 6px;
}

.heart:hover {
  fill: red;
  stroke: red;
  transform: scale(1.1);
}

.profile-menu {
  position: relative;

  margin-right: 8px;
  padding-right: 8px;
  border-right: 2px solid #d6d6db;
}

.profile-menu:before {
  position: absolute;
  content: "";
  width: 10px;
  height: 10px;
  border-radius: 50%;
  border: 2px solid var(--inboxSVG-bg-color);
  right: 7px;
  top: 4px;
  background-color: var(--inboxSVG-active-color);
}

.myName {
  color: var(--topBar-black-color);
}

.topBarCls {
  position: fixed;
  top: 0;
  left: 0;

  width: 100%;

  background-color: var(--body-bg);
  z-index: 9;
}

.topBarCls > div {
  padding: 0 40px;
  width: 1400px;

  background-color: var(--bg);
}

.bottomBarCls {
  background-color: var(--theme-bg);
  width: 1400px;
  padding: 90px 40px 30px 40px;

  overflow-x: hidden;
}

.bottomBarCls > div:nth-child(1) {
  background-color: var(--bg);
  justify-content: flex-end;

  border-radius: 0 10px 10px 0;
}

.bottomBarCls > div:nth-child(1) > div:nth-child(2) {
  flex-grow: 1;
}

.fndJB {
  border: none;
  color: var(--active-btn-clr);
  background-color: var(--active-btn-bg);
  border-radius: 0 8px 8px 0;
  white-space: nowrap;

  padding: 0 15px;
  font-size: 14px;
}
.srcLst {
  position: relative;

  display: flex;
  flex-direction: row;

  align-items: center;
}

.tpLg {
  color: var(--tp-left-clr);
}

.src-itm {
  font-size: 13px;
  color: var(--src-color);

  border: 1px solid var(--bottomTopBorder-color);

  padding: 8px 10px;
  border-radius: 8px;

  display: flex;
  flex-wrap: nowrap;

  margin-left: 10px;
}

.src-itm-2 {
  margin-right: 8px;
}

.src-itm span {
  white-space: nowrap;
}

input {
  outline: none;
  border: none;
}

.btmTopFstInput {
  width: 100%;
  height: 100%;
  display: block;
  background-color: transparent;
  border: none;
}

::placeholder {
  color: var(--placeholder-color);
}

.srcInfo {
  position: relative;
  padding: 0 25px;

  display: flex;
  flex-direction: row;

  align-items: center;
}

.srcInfo-1,
.srcInfo-2,
.srcInfo-3 {
  border-left: 1px solid var(--bottomTopBorder-color);
}

.toggleNav {
  color: var(--topBar-black-color);
  font-size: 14px;
  font-weight: 500;
}

.active_ {
  color: var(--active-bg-color);
}

.toggleNav > div:hover {
  color: var(--active-bg-color);
}

/*-------------------------------*/

.bigsContainer {
  display: flex;
  flex-direction: row;

  justify-content: flex-start;
}

.bigLeft {
  width: 270px !important;
}

.bigRight {
  flex: 1;
}

.toolHighlightBx {
  background-color: var(--toolHigglightBxBg);
}

.tl_1 {
  color: var(--topBar-black-color);
}

.tl_2 {
  color: var(--subtitle-color);
}

.tl_4 {
  align-self: flex-start;
  background-color: var(--active-btn-bg);
  color: var(--active-btn-clr);
}

.tl_h1,
.tl_h2 {
  color: var(--topBar-black-color);
}

[type="checkbox"] {
  display: none;
}

.toolstyle + label {
  margin-left: 2px;
  display: flex;
  align-items: center;
  cursor: pointer;

  color: var(--subtitle-color);
}

.tl_spn {
  margin-left: auto;
  background-color: var(--inactive-color);
  color: var(--subtitle-color);
  font-size: 10px;
  font-weight: 500;
  padding: 5px;
  border-radius: 4px;
}

.toolstyle:checked + label + span {
  background-color: var(--toolHigglightBxBg);
  color: var(--active-bg-color);
}

.toolstyle + label::before {
  content: "";
  margin-right: 10px;
  width: 16px;
  height: 16px;
  border: 1px solid var(--subtitle-color);
  border-radius: 4px;
  cursor: pointer;
}

.toolstyle:checked + label::before {
  background-color: var(--active-bg-color);
  border-color: var(--active-bg-color);
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23fff' stroke-width='3' stroke-linecap='round' stroke-linejoin='round' class='feather feather-check'%3e%3cpath d='M20 6L9 17l-5-5'/%3e%3c/svg%3e");
  background-position: 50%;
  background-size: 14px;
  background-repeat: no-repeat;
}

.tl_ul1,
.tl_ul2 {
  user-select: none;
}

.tl_ul1 > :not(div:nth-child(1)),
.tl_ul2 > :not(div:nth-child(1)) {
  margin-top: 10px;
}

.bigRight > div:nth-child(1) > div:nth-child(1) {
  color: var(--topBar-black-color);
}

.bigRight > div:nth-child(1) > div:nth-child(2) {
  color: var(--subtitle-color);
}

.bigRTmenuIcon {
  font-size: 9px;
  color: var(--placeholder-color);
  margin-left: 6px;
}

.newPST {
  color: var(--subtitle-color);
  font-weight: 600;
}

.ech_plate_container {
  position: relative;
  padding-top: 20px;

  display: grid;
  grid-template-columns: repeat(3, 1fr);

  grid-column-gap: 25px;
  grid-row-gap: 25px;
}

.absolute_right {
  position: relative;
}

.dyn-content_ {
  width: 100%;

  background-color: var(--bg);
  display: none;

  flex-direction: column;

  border-radius: 10px 10px 0px 0px;
}

.dyn-content_ div {
  width: 100%;
}

.ech_plate {
  position: relative;
  width: 100%;
  padding: 20px 16px;

  background-color: var(--bg);

  transition: 200ms ease-in-out;
  transition-property: transform;
}

.bck_icn {
  display: none;
}

.bck_icn:hover {
  color: var(--card-hover);
}

.ech_dnt_shw:hover {
  background-color: var(--card-hover);
}

.ech_dnt_shw:hover .hard-hover {
  color: var(--hard-hover);
}

.ech_dnt_shw:hover .light-hover {
  color: var(--light-hover);
}

.ech_dnt_shw:hover .mini-btn-hover {
  background-color: var(--mini-btn-hover-bg);
  color: var(--mini-btn-hover-clr);
}

.new_spn {
  color: var(--active-bg-color);
}

.d4_spn {
  color: var(--subtitle-color);
}

[data-ech-plt-ex] {
  display: none;
}

.ech_plate:hover {
  transform: scale(1.025);
}

.uperCs {
  font-size: 19px;
  width: 46px;
  height: 46px;

  padding: 8px 10px;

  border-radius: 8px;
}

.title_clr {
  color: var(--topBar-black-color);
  font-weight: 600;
  font-size: 14px;
}

.summaryClr {
  color: var(--subtitle-color);
  font-size: 13px;
  line-height: 1.6em;

  text-size-adjust: 100%;
}

.detailMiniBtn {
  color: var(--inactive1-btn-clr);
  background-color: var(--inactive1-btn-bg);

  font-size: 11px;
  font-weight: 500;
  padding: 6px 8px;
  border-radius: 4px;

  border: none;
}

.eventMiniBtn {
  padding: 10px;
  border: none;
  border-radius: 6px;

  background-color: var(--inactive2-btn-bg);
  color: var(--inactive2-btn-clr);
}

.tl_3 {
  background-color: var(--bg) !important;
}

.eventActiveBtn {
  background-color: var(--active-btn-bg);
  color: var(--active-btn-clr);
}

.scrollUpAnim {
  animation: scrollUp 500ms ease-in-out 1 forwards;
}

.scrollLFTAnim {
  animation: scrollLFT 500ms ease-in-out 1 forwards;
}

.topLrgImgCont {
  object-fit: cover;
  height: 180px;
  width: 100%;

  border-radius: 8px 8px 0 0;

  overflow: hidden;
}

.topTtle {
  color: var(--topBar-black-color);
}

.pat {
  color: var(--active-bg-color);
}

.pat_ {
  color: var(--subtitle-color);
}

.pat__ {
  color: var(--topBar-black-color);
  white-space: nowrap;
}

.pat__1 {
  color: var(--topBar-black-color);
  font-weight: 600;
  margin-bottom: 25px;
  font-size: 15px;
}

.table_bx {
  display: flex;
  flex-direction: row;

  margin-top: 20px;

  border: 1px solid var(--bottomTopBorder-color);
}

.table_bx > :not(div:nth-child(1)) {
  border-left: 1px solid var(--bottomTopBorder-color);
  padding-left: 16px;
}

@keyframes scrollUp {
  0% {
    opacity: 0.5;
    transform: translateY(20%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}

@keyframes scrollLFT {
  0% {
    opacity: 0.5;
    transform: translateX(20%);
  }
  100% {
    opacity: 1;
    transform: translateX(0%);
  }
}

@media screen and (width < 1400px) {
  .topBarCls > div {
    width: 100%;
  }

  .bottomBarCls {
    width: 100%;
  }

  .bottomBarCls > div:nth-child(1) > div:nth-child(1) {
    width: 100%;
  }

  .bottomBarCls > div:nth-child(1) > div:nth-child(1) > input {
    width: 100px;
  }

  .bottomBarCls > div:nth-child(1) > div:nth-child(2) {
    width: 100%;
  }

  .bottomBarCls > div:nth-child(1) > div:nth-child(3),
  .bottomBarCls > div:nth-child(1) > div:nth-child(3) > input {
    width: 100%;
  }

  .bottomBarCls > div:nth-child(1) > div:nth-child(4),
  .bottomBarCls > div:nth-child(1) > div:nth-child(4) > input {
    width: 100%;
  }
}

@media screen and (width < 1185px) {
  .mobile_hide {
    display: none;
  }

  .ech_plate_container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (width < 1000px) {
  .middle_mobile_hide {
    display: none;
  }
}

@media screen and (width < 710px) {
  .small_mobile_hide {
    display: none;
  }

  .ech_plate_container {
    grid-template-columns: repeat(1, 1fr);
  }

  .bigRight {
    padding-left: unset !important;
  }

  .bigRight > div:nth-child(1) {
    flex-direction: column;
    align-items: flex-start;
  }

  .bigRight > div:nth-child(1) > div:nth-child(2) {
    margin-left: unset !important;
  }

  .bottomBarCls {
    padding-left: 10px !important;
    padding-right: 10px !important;
  }

  .dyn-content_ {
    margin-left: unset !important;
  }

  #root
    > div
    > div.bottomBarCls
    > div.bigsContainer.p-30px-0-0-0
    > div.bigRight.scrollUpAnim.p-0-0-0-40px
    > div.ech_plate_container
    > div.absolute_right.d-flx.flx-x.w-100\%.scrollLFTAnim
    > div.dyn-content_.m-0-0-0-40px
    > div:nth-child(1)
    > div.d-flx.flx-y.p-0-25px-30px-25px
    > div.d-flx.flx-x {
    flex-direction: column;
  }

  .table_bx {
    flex-direction: column;
  }

  .topBarCls > div:nth-child(1) {
    padding: 0 10px !important;
  }
}
